Subject: OMAP baseline test results for v3.16-rc4

From: [email-masked] (Tony Lindgren)
Date: Mon, 14 Jul 2014 23:04:31 -0700

* Paul Walmsley <[email-masked]> [140714 10:32]:
> On Mon, 7 Jul 2014, Tony Lindgren wrote:
> 
> > With v3.16-rc4 the PM features for omap3 should be working
> > finally for device tree based booting. At lest beaglexm and
> > 3xxevm should work.
> > 
> > Maybe you are using legacy booting path to idle the UARTs still?
> > 
> > FYI, I'm doing this to find the UART entries:
> > 
> > uarts=$(find /sys/class/tty/ttyO*/device/power/ -type d)
> > for uart in $uarts; do
> >         echo 3000 > $uart/autosuspend_delay_ms
> > done
> > 
> > uarts=$(find /sys/class/tty/ttyO*/power/ -type d)
> > for uart in $uarts; do
> >         echo enabled > $uart/wakeup
> >         echo auto > $uart/control
> > done
> > 
> > echo 1 > /sys/kernel/debug/pm_debug/enable_off_mode
> 
> OK thanks, I'll take a close look at it.  It's not using the legacy paths, 
> but based on a glance at the 37xxevm logs, it looks like the bus address 
> of the UART isn't right.

Hmm for which UART? I'm using ttyO2 on my 37xxevm FYI, it can be selected
on the board based on some switch settings. I may have patched my u-boot
for that too but don't remember for sure.

Regards,

Tony